bugGNU Octave - Bugs: bug #46521, [octave forge] (communications)...

 
 

bug #46521: [octave forge] (communications) fails to build with latest dev octave

Submitted by:  John Donoghue <lostbard>
Submitted on:  Tue 24 Nov 2015 09:41:14 PM UTC  
 
Category:  Octave Forge Package Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Build Failure
Status:  Postponed Assigned to:  Mike Miller <mtmiller>
Originator Name:  JohnD Open/Closed:  Open
Release:  dev Operating System:  Any

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

( Jump to the original submission)

Mon 02 Sep 2019 05:22:08 PM UTC, comment #31: 

Yeah. It works! Compiled and installed fine, no warnings no errors.
file #47108 + #47415

octave:4> pkg list
Package Name    | Version | Installation directory
----------------+---------+-----------------------
communications *|   1.2.1 | /home/maykon/sandbox/octave/packages/communications-1.2.1

Thank you John Donoghue!

Maykon Chagas <mchagas>
Sat 31 Aug 2019 01:49:29 AM UTC, comment #30: 

Try this patch (with the other patch also installed) and see if it helps

(file #47415)

John Donoghue <lostbard>
Project Member
Sat 31 Aug 2019 12:13:39 AM UTC, comment #29: 

Even after install a bunch of package, nothing change, put includedir and libs in PATH and nothing at all. Same error.

Maykon Chagas <mchagas>
Fri 30 Aug 2019 08:10:11 PM UTC, comment #28: 

You need to install hdf5-dev so that the package can detect it - no rebuild of octave is required

John Donoghue <lostbard>
Project Member
Fri 30 Aug 2019 05:41:50 PM UTC, comment #27: 

So I will have to rebuild my Octave with this flags enabled? If not, how to correct this issue?

Maykon Chagas <mchagas>
Fri 30 Aug 2019 04:28:32 PM UTC, comment #26: 

It has always been a dependency

See hg.code.sf.net/p/octave/communications/file/e126cad113f0/src/Makefile.in

The issue is that newer versions of octave does not have the HDF5 flags available in octave_config variables and so is being queried using pkg-config - so now needs hdf5-dev installed

Also, remember that the info on the package page was released back in 2015. You are now  using the unreleased patched repo version,  so what it says in dependencies may or not be correct now :)

John Donoghue <lostbard>
Project Member
Fri 30 Aug 2019 01:57:17 PM UTC, comment #25: 

Now, at install I have this error

checking pkg-config is at least version 0.9.0... yes
checking for hdf5... no

pkg: error running the configure script for communications.
make: *** [Makefile:73: install] Error 1

hdf5 is a dependency for communications package? It is not listed on package site:
https://octave.sourceforge.io/communications/index.html

Maykon Chagas <mchagas>
Fri 30 Aug 2019 12:13:45 PM UTC, comment #24: 

$ hg clone http://hg.code.sf.net/p/octave/communications communications
$ cd communications
$ hg patch ../octave-5.0-2-all.patch
$ make clean
rm -rf communications-1.2.1 communications-1.2.1.tar.gz communications-html.tar.gz communications-html
cd src && make clean
make[1]: Entering directory '/home/maykon/Downloads/communications/src'
make[1]: *** No rule to make target 'clean'.  Stop.
make[1]: Leaving directory '/home/maykon/Downloads/communications/src'
make: *** [Makefile:99: clean] Error 2
$ make dist
Creating package version 1.2.1 release ...
rm -rf communications-1.2.1
hg archive --exclude ".hg*" --exclude Makefile --type files communications-1.2.1
cd communications-1.2.1/doc && make all
make[1]: Entering directory '/home/maykon/Downloads/communications/communications-1.2.1/doc'
/bin/sh images.sh > images.mk
Making texinfo comms.texi
Function gf, does not contain texinfo help
Function commsimages, does not contain texinfo help
makeinfo --no-split -o comms.info comms.texi
make[1]: Leaving directory '/home/maykon/Downloads/communications/communications-1.2.1/doc'
cd communications-1.2.1/src && ./bootstrap
/bin/sh: ./bootstrap: Permission denied
make: *** [Makefile:42: communications-1.2.1] Error 126

same error.

So I went to see what's happening.
Looks like when Makefile call bootstrap in communications-1.2.1/src/bootstrap just use ./bootstrap doesn't call /bin/sh or any other *sh.

What have I done?
Change de Makefile, in line 42.

cd $@/src && /bin/sh bootstrap

Running make clean && make dist again, the package was built without errors.

The output:

$ make dist
Creating package version 1.2.1 release ...
rm -rf communications-1.2.1
hg archive --exclude ".hg*" --exclude Makefile --type files communications-1.2.1
cd communications-1.2.1/doc && make all
make[1]: Entering directory '/home/maykon/Downloads/communications/communications-1.2.1/doc'
/bin/sh images.sh > images.mk
Making texinfo comms.texi
Function gf, does not contain texinfo help
Function commsimages, does not contain texinfo help
makeinfo --no-split -o comms.info comms.texi
make[1]: Leaving directory '/home/maykon/Downloads/communications/communications-1.2.1/doc'
cd communications-1.2.1/src && /bin/sh bootstrap
chmod -R a+rX,u+w,go-w communications-1.2.1
tar cf - --posix communications-1.2.1 | gzip -9n > communications-1.2.1.tar.gz
rm -rf communications-1.2.1

That's it. At least to build the package. Now I have to look if the install process goes smoothly

Maykon Chagas <mchagas>
Fri 30 Aug 2019 11:42:54 AM UTC, comment #23: 

make clean ; make dist to create the tarball

Updated patch attached

(file #47413)

John Donoghue <lostbard>
Project Member
Fri 30 Aug 2019 03:01:00 AM UTC, comment #22: 

I get it!

But, how could I build one week ago? And I used the same procedure described above.. nothing different than that..

I don't have the patch and the repo cloned used last time, but now, if I clone the repo and apply the patch, the bootstrap script is missing.

I will wait, when ready, notify me here, and I can test for you.

TY.

Maykon Chagas <mchagas>
Fri 30 Aug 2019 02:16:11 AM UTC, comment #21: 

'make all' is just for compiling the .oct files locally, and creates a PKG_ADD/DEL for running ocally which is where I think you are seeing the issue.

'make dist' should create a tarball that can then be installed.

However, it is missing the bootstrap script  - I guess I forgot to add that the patch - I'll update it when I get a chance

John Donoghue <lostbard>
Project Member
Thu 29 Aug 2019 09:53:50 PM UTC, comment #20: 

Yeah, for me this file was in /home/maykon/sandbox/octave/packages/communications-1.2.1/PKG_ADD which is folder installed packages for octave.

I'm trying to build again the communications packages just to see whats happens, but the build is popup an error, the patch for v5.0 was incompatible now with hg repo.

hg clone http://hg.code.sf.net/p/octave/communications communications
cd communications
make all

show up this error message:

cd src && ./bootstrap
/bin/sh: ./bootstrap: No such file or directory
make: *** [Makefile:76: all] Error 127

So, at least now, after remove PKG_ADD/DEL files from folder the octave start up wassn't show any warning message.

Maykon Chagas <mchagas>
Thu 29 Aug 2019 07:19:10 PM UTC, comment #19: 

was there PKG_ADD/DEL in the src directory ?

John Donoghue <lostbard>
Project Member
Thu 29 Aug 2019 06:57:03 PM UTC, comment #18: 

Just a tar zcvf command, as usual..
tar -zcf communications-1.2.1.tar.gz communications-1.2.1

Just this, and installing with pkg command inside octave.

Is there something special? Something about hg? I'm not a regular user of hg.

Maykon Chagas <mchagas>
Thu 29 Aug 2019 06:53:17 PM UTC, comment #17: 

How are you creating the tarball after applying the patch ?

I am guessing that perhaps you have extra 'stuff' in the tarball which you are then installing.

John Donoghue <lostbard>
Project Member
Thu 29 Aug 2019 04:46:43 PM UTC, comment #16: 

Sorry for flood, but I've found a "solution".
Just remove PKG_ADD and PKG_DEL from communications package folder. I don't know all the implications about this, but at least the warning message at startup goes out.

Maykon Chagas <mchagas>
Thu 29 Aug 2019 02:42:47 PM UTC, comment #15: 

comment #12:

> Updated patch for 5.0
>
> (file #47108)


Hi, I'm having warning messages after install communications package using patch for octave 5.1.0 using the procedure as described in comment #10.

All messages are like this:

 warning: autoload: 'gf.oct' is not an absolute filename
warning: called from
    /home/maykon/sandbox/octave/packages/communications-1.2.1/PKG_ADD at line 2 column 1
    load_packages_and_dependencies at line 48 column 5
    load_packages at line 47 column 3
    pkg at line 461 column 7
    /home/maykon/.octaverc at line 7 column 2

I'm using Slackware Linux. Other octave packages like signal, control, image, general was installed without issues.

Thanks,

Maykon Chagas <mchagas>
Wed 19 Jun 2019 02:43:55 PM UTC, comment #14: 

Whats the error ?

John Donoghue <lostbard>
Project Member
Wed 19 Jun 2019 02:43:53 AM UTC, comment #13: 

FWIW - build still fails for me with the updated patch.  It appears that it cannot find HDF5 1.10.5.  Haven't had a chance to poke at that yet.

Orion Poplawski <opoplawski>
Tue 18 Jun 2019 06:01:44 PM UTC, comment #12: 

Updated patch for 5.0

(file #47108)

John Donoghue <lostbard>
Project Member
Tue 09 Oct 2018 08:15:41 PM UTC, comment #11: 

> whats prevents from the patch application?


This patch is fine for mxe, but not appropriate to apply to the communications package itself. It inserts copies of the base_lu classes that have been removed from Octave. A better solution is to port to the new lu classes in Octave 4.2 and 4.4, see bug #47267. I have not seen anyone attempt to actually port to Octave 4.4 yet, therefore this remains open.

> I get one fail for "qfuncinv.m"


See bug #54156, that is a trivial fix.

Mike Miller <mtmiller>
Project AdministratorIn charge of this item.
Tue 09 Oct 2018 07:54:55 PM UTC, comment #10: 

Regarding comment #9, you are right.  I applied this patch too naively as described on the mailing list helping two desperate users of the package:

https://lists.gnu.org/archive/html/help-octave/2018-10/msg00069.html

The "correct" procedure should be:

$ hg clone http://hg.code.sf.net/p/octave/communications octave-communications
$ cd octave-communications
$ hg patch ../octave-4.4-all.patch
$ make all
$ make install

This might involve the installation of some additional tools, which are not standard for non-developer (Mercurial, libtool, ...).

Running "make check" I get one fail for "qfuncinv.m".  Thus whats prevents from the patch application?

Sometimes I underestimate, how complicated forge packages are, sorry for the noise ;-)

Kai Torben Ohlhus <siko1056>
Project Member
Tue 09 Oct 2018 06:31:40 PM UTC, comment #9: 

The patch file #44095 should already be doing that. Not sure how you allpied it, but you then need to run autoconf in the src up update configure

John Donoghue <lostbard>
Project Member
Tue 09 Oct 2018 03:14:37 PM UTC, comment #8: 

For my 64-bit build, I see the following build error:

ov-galois.h:43:13: error: conflicting declaration ‘typedef int octave_hdf5_id’
typedef int octave_hdf5_id;
             ^~~~~~~~~~~~~~
In file included from

[skip long list]

/path/to/octave/include/octave-4.4.1/octave/oct-hdf5-types.h:35:17: note: previous declaration as ‘typedef int64_t octave_hdf5_id’
typedef int64_t octave_hdf5_id;

and

ov-galois.cc:35:12: fatal error: octave/ls-oct-ascii.h: No such file or directory
#  include <octave/ls-oct-ascii.h>

The patch (file #44095) can be extended to remove the redundant definition and the inclusion of the non-existing header ls-oct-ascii.h should be avoided too https://hg.savannah.gnu.org/hgweb/octave/rev/c6224b4e7774.

Kai Torben Ohlhus <siko1056>
Project Member
Fri 01 Jun 2018 08:45:14 PM UTC, comment #7: 

Patch (file #44095) tested on cygwin 64bit.
It builds fine and pass almost all

Summary:

  PASS                              456
  FAIL                                1

all the warnings seem obvious and if needed I volunteer to clean them for a 1.2.2 release.

marco atzeri <matzeri>
Fri 04 May 2018 08:19:43 PM UTC, comment #6: 

Updated all in one patch that should eplace all the others for 4.2 and 4.4

(file #44095)

John Donoghue <lostbard>
Project Member
Wed 19 Jul 2017 04:48:13 PM UTC, comment #5: 

For completeness, file #35540 is required for 4.2.X

In addition theses changes (pushed to mxe-octave from JWE) are also needed to the 4.4 dev octave.

(file #41245)

John Donoghue <lostbard>
Project Member
Wed 25 Nov 2015 02:09:17 PM UTC, comment #4: 

Yeah working on patch for octcdf

John Donoghue <lostbard>
Project Member
Wed 25 Nov 2015 01:45:06 PM UTC, comment #3: 

Confirmed, I noted this > 2 weeks ago but didn't pay much attention.

FYI, octcdf doesn't build either with recent dev versions (for me at least).

Philip Nienhuis <philipnienhuis>
Project Member
Tue 24 Nov 2015 10:11:37 PM UTC, comment #2: 

Updated patch attached

(file #35540)

John Donoghue <lostbard>
Project Member
Tue 24 Nov 2015 09:47:07 PM UTC, comment #1: 

Patch attached to check for define

(file #35539)

John Donoghue <lostbard>
Project Member
Tue 24 Nov 2015 09:41:14 PM UTC, original submission:  

communications package relies on OV_REP_TYPE which was removed from dev octave.

John Donoghue <lostbard>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #47415:  comms-hdf3.patch added by lostbard (1KiB - text/x-patch)
file #47414:  octave-5.0-3-all.patch added by lostbard (51KiB - application/octet-stream)
file #47413:  octave-5.0-2-all.patch added by lostbard (52KiB - application/octet-stream)
file #47108:  octave-5.0-all.patch added by lostbard (52KiB - application/octet-stream)
file #44095:  octave-4.4-all.patch added by lostbard (16KiB - application/octet-stream)
file #41245:  of-communications-2-fixes.patch added by lostbard (9KiB - application/octet-stream)
file #35540:  ov_rep2.patch added by lostbard (646B - application/octet-stream)
file #35539:  ov_rep.patch added by lostbard (726B - application/octet-stream)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by mchagas (Posted a comment)
  • -email is unavailable- added by opoplawski (Posted a comment)
  • -email is unavailable- added by cbalways (Waiting for the fix)
  • -email is unavailable- added by opoplawski
  • -email is unavailable- added by siko1056 (Posted a comment)
  • -email is unavailable- added by matzeri (Posted a comment)
  • -email is unavailable- added by jwe (Updated the item)
  • -email is unavailable- added by lostbard (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 16 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2019-08-31 lostbard Attached File- => Added comms-hdf3.patch, #47415
    2019-08-30 lostbard Attached File- => Added octave-5.0-3-all.patch, #47414
    2019-08-30 lostbard Attached File- => Added octave-5.0-2-all.patch, #47413
    2019-06-18 lostbard Attached File- => Added octave-5.0-all.patch, #47108
    2019-01-08 cbalways Carbon-Copy- => Added cbalways@gmail.com
    2018-11-15 opoplawski Carbon-Copy- => Added opoplawski
    2018-10-09 mtmiller Carbon-CopyRemoved 80942 => -
    2018-10-09 mtmiller StatusPatch Reviewed => Postponed
    2018-10-09 siko1056 StatusPatch Submitted => Patch Reviewed
    2018-05-04 lostbard StatusNone => Patch Submitted
    2018-05-04 lostbard Attached File- => Added octave-4.4-all.patch, #44095
    2017-08-13 jwe Summarycommunications fails to build with latest dev octave => [octave forge] (communications) fails to build with latest dev octave
    2017-07-19 lostbard Attached File- => Added of-communications-2-fixes.patch, #41245
    2016-03-29 mtmiller Assigned toNone => mtmiller
    2015-11-24 lostbard Attached File- => Added ov_rep2.patch, #35540
    2015-11-24 lostbard Attached File- => Added ov_rep.patch, #35539

    Back to the top


    Powered by Savane 3.5